# --- DOCKER PROJEKT ---
COMPOSE_PROJECT_NAME=service_finder

# --- ADATBÁZIS (Központi shared-postgres) ---
APP_DB_HOST=shared-postgres
APP_DB_PORT=5432
APP_DB_NAME=service_finder
APP_DB_USER=service_finder_app
APP_DB_PASSWORD=MiskociA74

# Alembic és FastAPI számára (Asyncpg-t használsz, ez így jó)
DATABASE_URL=postgresql+asyncpg://service_finder_app:MiskociA74@shared-postgres:5432/service_finder
MIGRATION_DATABASE_URL=postgresql+asyncpg://service_finder_app:MiskociA74@shared-postgres:5432/service_finder

# --- REDIS ---
REDIS_URL=redis://service_finder_redis:6379/0

# --- BIZTONSÁG ---
SECRET_KEY=2dca2ff3bf9b8184e14038d5d08e646b31bd4a5f5ffc7e19d28e294f3bb3760b
ALGORITHM=HS256
ALLOWED_ORIGINS="https://app.profibot.hu,https://dev.profibot.hu,http://localhost:3000"

# --- MINIO & NAS ---
MINIO_ENDPOINT=minio:9000
MINIO_ROOT_USER=kincses
MINIO_ROOT_PASSWORD=MiskociA74
MINIO_ACCESS_KEY=kincses
MINIO_SECRET_KEY=MiskociA74

# --- EMAILS ---
EMAIL_PROVIDER=sendgrid
SENDGRID_API_KEY=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
EMAILS_FROM_EMAIL=info@profibot.hu

# --- n8n ---
N8N_DB_PASSWORD=MiskociA74

# --- ROBOTOK API KULCSAI ---
RDW_APP_TOKEN=kSMUn0tvnmoM6TMSegLpFvKI8
# GEMINI_API_KEY=AIzaSyAaCVNPwf8PCphu_pt6spjAa2OVu8Exug8
DVLA_API_KEY=qUBQDigumYaFnc9Nt15Bx4Nc4k8W0L966s9iZAmK

# --- RENDSZER ---
PYTHONPATH=/app
ENV=development

# VS Code (code-server) beállítások
VS_CODE_PASSWORD=MiskociA74
PUID=1000
PGID=1000
TZ=Europe/Budapest